Redmine - Patch #24281

Workflow editing shows statuses of irrelevant roles
2016-11-07 10:42 - Jens Kramer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour
Target version: 3.4.0

Description

When 'Only display statuses that are used by this tracker' is selected (which is the default), the statuses of Workflow transitions that
are attached to Roles where Role#consider_workflow? returns false are still shown.

The first patch changes a test case to illustrate the problem by creating a role with workflow transitions but no issue add/edit
permissions, second patch adds proper filtering for the status array.

Associated revisions

Revision 16081 - 2016-12-16 09:32 - Jean-Philippe Lang

Workflow editing shows statuses of irrelevant roles (#24281).

Patch by Jens Kramer.

History

#1 - 2016-11-25 15:58 - Toshi MARUYAMA

- Target version set to 3.4.0

#2 - 2016-12-16 09:33 - Jean-Philippe Lang
- Subject changed from workflow editing shows statuses of irrelevant roles to Workflow editing shows statuses of irrelevant roles
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed, thanks.

Files
0001-amend-test-case-to-show-that-statuses-of-non-relevan.patch ~ 1.21 KB 2016-11-07 Jens Kramer
0002-restrict-list-of-statuses-shown-in-workflow-edit-to-.patch 1.24 KB 2016-11-07 Jens Kramer
